Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365078 - [abrt] general protection fault in __kmalloc_node [NEEDINFO]
Summary: [abrt] general protection fault in __kmalloc_node
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8ed78d37b00a9c1eab2dc058210...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 12:18 UTC by Maël Lavault
Modified: 2016-10-26 16:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 16:54:09 UTC
labbott: needinfo? (mael.lavault)


Attachments (Terms of Use)
File: dmesg (deleted)
2016-08-08 12:18 UTC, Maël Lavault
no flags Details

Description Maël Lavault 2016-08-08 12:18:17 UTC
Description of problem:
Plugging / unplugging my android phone over usb.

Additional info:
reporter:       libreport-2.7.2
general protection fault: 0000 [#1] SMP 
Modules linked in: rfcomm fuse hidp xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun xt_addrtype nf_conntrack_netbios_ns br_netfilter nf_conntrack_broadcast ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter xt_conntrack dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c loop ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_mangle ip6table_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_mangle iptable_raw ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep cpufreq_stats nls_utf8 hfsplus btusb btrtl btbcm btintel bluetooth joydev bcm5974 snd_hda_codec_cirrus brcmfmac snd_hda_codec_hdmi snd_hda_codec_generic intel_rapl snd_hda_intel
 iTCO_wdt iTCO_vendor_support x86_pkg_temp_thermal coretemp snd_hda_codec kvm_intel kvm brcmutil snd_hda_core snd_hwdep snd_seq applesmc cfg80211 input_polldev irqbypass snd_seq_device snd_pcm mmc_core thunderbolt rfkill mei_me intel_pch_thermal snd_timer snd i2c_i801 lpc_ich dw_dmac_pci mei shpchp soundcore spi_pxa2xx_pci sbs acpi_als kfifo_buf sbshc industrialio apple_bl spi_pxa2xx_platform tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace hid_apple i915 uas usb_storage crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper ghash_clmulni_intel drm fjes video sunrpc scsi_transport_iscsi
CPU: 2 PID: 6864 Comm: pool Not tainted 4.6.4-301.fc24.x86_64 #1
Hardware name: Apple Inc. MacBookPro12,1/Mac-E43C1C25D4880AD6, BIOS MBP121.88Z.0167.B16.1602111810 02/11/2016
task: ffff88011977bd00 ti: ffff8801862a0000 task.ti: ffff8801862a0000
RIP: 0010:[<ffffffff81224bda>]  [<ffffffff81224bda>] __kmalloc_node+0x1ba/0x2e0
RSP: 0018:ffff8801862a3ad0  EFLAGS: 00010246
RAX: ff8234c8f88b8793 RBX: 0000000002080020 RCX: 0000000000000000
RDX: 000000000005095a RSI: 0000000000000000 RDI: 000000000001a360
RBP: ffff8801862a3b10 R08: ffff88026ec9a360 R09: ffff880266003cc0
R10: ff8234c8f88b8793 R11: 0000000000000010 R12: 0000000002080020
R13: 0000000000000008 R14: 00000000ffffffff R15: ffff880266003cc0
FS:  00007f2bcb5b9700(0000) GS:ffff88026ec80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f2bcb5b78c0 CR3: 00000001e5f12000 CR4: 00000000003406e0
Stack:
 0000000000000000 ffff88026ec9ab28 ffffffff813dba90 ffff8801862a3b48
 ffffffff81071f20 ffff8801862a3be0 ffff88026ec980c0 0000000000018080
 ffff8801862a3b28 ffffffff813dba90 ffff88026600c948 ffff8801862a3b38
Call Trace:
 [<ffffffff813dba90>] ? alloc_cpumask_var_node+0x20/0x30
 [<ffffffff81071f20>] ? rbt_memtype_copy_nth_element+0xa0/0xa0
 [<ffffffff813dba90>] alloc_cpumask_var_node+0x20/0x30
 [<ffffffff813dbace>] alloc_cpumask_var+0xe/0x10
 [<ffffffff81050d8e>] native_send_call_func_ipi+0x2e/0x110
 [<ffffffff813dba01>] ? cpumask_next_and+0x31/0x50
 [<ffffffff8112b123>] smp_call_function_many+0x1a3/0x250
 [<ffffffff81071f20>] ? rbt_memtype_copy_nth_element+0xa0/0xa0
 [<ffffffff8112b22d>] on_each_cpu+0x2d/0x60
 [<ffffffff810727b9>] flush_tlb_kernel_range+0x79/0x80
 [<ffffffff81200af0>] __purge_vmap_area_lazy+0x2e0/0x330
 [<ffffffff81200c59>] vm_unmap_aliases+0x119/0x140
 [<ffffffff8106d5f4>] change_page_attr_set_clr+0xf4/0x520
 [<ffffffff816da859>] ? bpf_convert_filter+0x9c9/0xa20
 [<ffffffff8106e64f>] set_memory_ro+0x2f/0x40
 [<ffffffff811994b5>] bpf_prog_select_runtime+0x25/0xa0
 [<ffffffff816db521>] bpf_prepare_filter+0x3d1/0x400
 [<ffffffff816db762>] __get_filter+0x92/0xd0
 [<ffffffff816dc2b8>] __sk_attach_filter+0x18/0x60
 [<ffffffff816dc31b>] sk_attach_filter+0x1b/0x20
 [<ffffffff816ab412>] sock_setsockopt+0x462/0x8d0
 [<ffffffff812671c5>] ? __fget_light+0x25/0x60
 [<ffffffff816a62ed>] SyS_setsockopt+0xcd/0xe0
 [<ffffffff817e0772>] entry_SYSCALL_64_fastpath+0x1a/0xa4
Code: 48 89 da 48 8b 75 d0 41 ff d2 4d 8b 17 4d 85 d2 75 d8 e9 41 ff ff ff 49 63 47 20 49 8b 3f 4c 01 d0 40 f6 c7 0f 0f 85 1c 01 00 00 <48> 8b 18 48 8d 4a 01 4c 89 d0 65 48 0f c7 0f 0f 94 c0 84 c0 0f 
RIP  [<ffffffff81224bda>] __kmalloc_node+0x1ba/0x2e0
 RSP <ffff8801862a3ad0>

Comment 1 Maël Lavault 2016-08-08 12:18:31 UTC
Created attachment 1188696 [details]
File: dmesg

Comment 2 Laura Abbott 2016-09-23 19:10:11 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Laura Abbott 2016-10-26 16:54:09 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.